STRUCT TEMPL(3)

NAME
boost::accumulators::impl::weighted_sum_impl

SYNOPSIS

// In header: <boost/accumulators/statistics/weighted_sum.hpp>
template<typename Sample, typename Weight, typename Tag>
struct weighted_sum_impl {
  // types
  typedef numeric::functional::multiplies< Sample, Weight >::result_type weighted_sample;
  typedef weighted_sample                                                result_type;
  // construct/copy/destruct
  template<typename Args> weighted_sum_impl(Args const &);
  // public member functions
  template<typename Args> void operator()(Args const &);
  result_type result(dont_care) const;
};

DESCRIPTION

  weighted_sum_impl public construct/copy/destruct

    1.

    template<typename Args> weighted_sum_impl(Args const & args);

  weighted_sum_impl public member functions

    1.

    template<typename Args> void operator()(Args const & args);

    2.

    result_type result(dont_care) const;